
set timeout=0
set gfxmode=1024x768,auto
#set debug=all

function uds_func_install_mods {
    insmod ls
	insmod http
	insmod all_video
	insmod vbe
	insmod gfxterm
	insmod gfxmenu
	insmod jpeg
	#insmod png
}

function uds_func_set_gfx {
	terminal_output  gfxterm
	loadfont ascii
	background_image $prefix/uis_background.jpg
}

menuentry 'UDS GRUB' {

    if [ "${net_pxe_mac}" != "" ]; then
        tr [ABCDEF:] [abcdef-] -s net_pxe_mac_dash_lower $net_pxe_mac
    elif [ "${net_default_mac}" != "" ]; then
        tr [ABCDEF:] [abcdef-] -s net_pxe_mac_dash_lower $net_default_mac
    fi
    
	configfile /grub2.cfg/01-$net_pxe_mac_dash_lower
}